'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _pure = require('recompose/pure');

var _pure2 = _interopRequireDefault(_pure);

var _Chip = require('./Chip');

var _Chip2 = _interopRequireDefault(_Chip);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
 * This file is part of the nivo project.
 *
 * Copyright 2016-present, Raphaël Benitte.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
var tooltipStyle = {
    display: 'flex',
    alignItems: 'center'
};

var textStyle = {
    whiteSpace: 'pre',
    marginLeft: 7
};

var BasicTooltip = function BasicTooltip(_ref) {
    var id = _ref.id,
        value = _ref.value,
        enableChip = _ref.enableChip,
        color = _ref.color;
    return _react2.default.createElement(
        'div',
        { style: tooltipStyle },
        enableChip && _react2.default.createElement(_Chip2.default, { color: color }),
        value !== undefined ? _react2.default.createElement(
            'span',
            { style: textStyle },
            id,
            ': ',
            _react2.default.createElement(
                'strong',
                null,
                value
            )
        ) : _react2.default.createElement(
            'span',
            { style: textStyle },
            id
        )
    );
};

BasicTooltip.propTypes = {
    id: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.number]).isRequired,
    value: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.number]),
    enableChip: _propTypes2.default.bool.isRequired,
    color: _propTypes2.default.string
};

BasicTooltip.defaultProps = {
    enableChip: false
};

exports.default = (0, _pure2.default)(BasicTooltip);